<template>
  <div>
    <!-- <div>
      <p>You're currently using about {{percent}}% of your available storage.</p>
      <pre>Status {{status}}</pre>
      <div v-if="status === 'STATUS_OPENED'">
        <p>Application NOT installed to homescreen</p>
      </div>
      <div v-if="wallet">
        <pre>Wallet {{wallet.address}}</pre>
      </div>
      <button v-on:click="clear">clear localStorage & cache </button>
    </div>-->
  </div>
</template>

<script>
import { mapGetters } from "vuex";

const CACHE_NAME = process.env.VUE_APP_CACHE_NAME;

export default {
  name: "Debugger",
  data() {
    return {
      percent: 0
    };
  },
  computed: {
    ...mapGetters("Installation", ["uuid", "status", "url", "did"]),
    ...mapGetters("Wallet", ["wallet"])
  },
  methods: {
    clear() {
      window.localStorage.clear();
      caches
        .delete(CACHE_NAME)
        .then(boolean => {
          console.log(`deleted cache : ${CACHE_NAME} : ${boolean}`);
        })
        .catch(console.error.bind(this));
    }
  },
  async mounted() {
    if ("storage" in navigator && "estimate" in navigator.storage) {
      navigator.storage
        .estimate()
        .then(estimate => {
          this.percent = (estimate.usage / estimate.quota).toFixed(2);
        })
        .catch(console.error.bind(this));
    }
  }
};
</script>
